/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : ft_basictbl.pc
 *   작 성 자 : 오효섭 (catacath@neighbor21.co.kr)
 *   작 성 일 : 2012.10.10
 *   수 정 일 :
 *   설    명 : 기초상태테이블의 파일/테이블간 변환처리
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "bas_tbl.h"
#include "lane_stat_info.h"
#include "chg_struc.h"
#include "file_nm.h"
#include "file_no.h"
#include "dir_path.h"
#include "ora_sql.h"
#include "ipc_def.h"
#include "file_lb.h"
#include "tcs_db_def.h"

static    struct    write_info         wi;
static    struct    bas_tbl         bas_tbl_f;
static    struct    bas_tbl         bas_tbl_o;
static    T_REVM_BASICINFO       revm_basicinfo;
static    T_REVM_LANEINFO        revm_laneinfo;
static    T_REVM_CARDRATE        revm_cardrate;
static    T_REVM_TABLENO         revm_tableno;
static    T_REVM_SCRATECAR       revm_scratecar;
static    T_REVM_RATE            revm_rate;
static    T_EXTM_LSAMMAXMIN      extm_lsammaxmin;
static    T_EXTM_LOADRATE        extm_loadrate;
static    T_EXTM_LOADMAX         extm_loadmax;
static    T_PUBM_DCCARTYPE       pubm_dccartype;
static    T_REVM_OBURATE         revm_oburate;

int main()
{
    int     isfd, isrc;
    int     ii, jj, kk, mm;
    int i;
    struct  lo_lane_ctrl_cmd   llcc;                /* 제어요청 info        */
    struct  lo_lane_ctrl_reply   llcr;                /* 제어반환 info        */
    char    path[128];
    char    temp[3+1];
    char    msg[128];
    char    plz_id[4];

    struct  lane_stat_info    lsi;

    memset(&bas_tbl_o, 0, sizeof(struct bas_tbl));

    isfd = lb_fopen(&wi, FNO_BASICTBL, FINPUT+FC_MANULOCK);
    if(isfd < 0)
    {
	printf("open error\n");
#if 0
        sprintf(path, "%s/%s/%s", DIR_TCS, DIR_BASEINFO, file_nm[FNO_BASICTBL].file_nm);
        isfd=lb_build(path,FINOUT+FC_EXCLLOCK);
#endif
	exit(0);
    }

for(i=0; i<2; i++)
{
/*    lseek(isfd, sizeof(struct bas_tbl), SEEK_SET); */
    if (isfd > 0)
    {
        isrc = lb_fread(isfd, FNO_BASICTBL, &bas_tbl_o);
    }
	if(isrc < 0) break;
    printf("+++++++++++++++++++++++++++ 기초사항 테이블 ++++++++++++++++++++++++++ \n"); 
    printf("영업소번호 : %.03s \t 영업소명   : %.10s \t KHC코드 : %.2s \n", bas_tbl_o.plz_id, bas_tbl_o.plz_nm, bas_tbl_o.khc);
    printf("일변경시분 : %02d:%02d \t 일마감시분 : %02d:%02d \n", bas_tbl_o.day_chg_hr, bas_tbl_o.day_chg_min, bas_tbl_o.day_end_hr, bas_tbl_o.day_end_min);
    printf("신 할인카드율 개정적용 년월일시분\t: %04d/%02d/%02d %02d:%02d \n", bas_tbl_o.rvs_year_dccrd, bas_tbl_o.rvs_mon_dccrd, bas_tbl_o.rvs_day_dccrd, bas_tbl_o.rvs_hr_dccrd, bas_tbl_o.rvs_min_dccrd);
    printf("구 할인카드율 개정적용 년월일시분\t: %04d/%02d/%02d %02d:%02d \n", bas_tbl_o.od_dc_cls_year, bas_tbl_o.od_dc_cls_mon, bas_tbl_o.rvs_day_dccrd, bas_tbl_o.od_dc_cls_hr, bas_tbl_o.od_dc_cls_min);
    for(ii = 0 ; ii < 5 ; ii++)
    	printf("할인카드별 할인율 : \t 8%d : 구 [%02d] 신 [%02d] \n", ii, bas_tbl_o.nw_od_dcrte[ii][0], bas_tbl_o.nw_od_dcrte[ii][1]);

    for(ii = 0 ; ii < 15 ; ii++)
    	printf("고속도로카드 권종 금액 : 구 [%02d] 신 [%02d] \n", bas_tbl_o.hiwy_crd_knd_mny[ii][0], bas_tbl_o.hiwy_crd_knd_mny[ii][1]);

    printf("최장 IC  : [%03s] \t 시야회전적정 TIME : [%02d] \n", bas_tbl_o.longest, bas_tbl_o.sig_rot_titr_tm);
    printf("구 요금 폐쇄일시 : [ %04d/02%d/02%d %02d:%02d ] \n", bas_tbl_o.od_cls_year, bas_tbl_o.od_cls_mon, bas_tbl_o.od_cls_day, bas_tbl_o.od_cls_hr, bas_tbl_o.od_cls_min);
    printf("영업소 형태 : [ %d ] \t 입구차로수 [%d] \t 출구차로수 [%d] \t 가변차로수 [%d] \n", bas_tbl_o.plz_typ, bas_tbl_o.ent_lane_cnt, bas_tbl_o.wout_lane_cnt, bas_tbl_o.vrab_lane_cnt);
    printf("영업소 전화번호 : [ %s ] \n", bas_tbl_o.phone_no);
    printf("정수          테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[0].apl_year, bas_tbl_o.revise_tbl_info[0].apl_mon, bas_tbl_o.revise_tbl_info[0].apl_day, bas_tbl_o.revise_tbl_info[0].apl_hr, bas_tbl_o.revise_tbl_info[0].apl_min, bas_tbl_o.revise_tbl_info[0].rvs_no);
    printf("근무자        테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[1].apl_year, bas_tbl_o.revise_tbl_info[1].apl_mon, bas_tbl_o.revise_tbl_info[1].apl_day, bas_tbl_o.revise_tbl_info[1].apl_hr, bas_tbl_o.revise_tbl_info[1].apl_min, bas_tbl_o.revise_tbl_info[1].rvs_no);
    printf("요금          테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[2].apl_year, bas_tbl_o.revise_tbl_info[2].apl_mon, bas_tbl_o.revise_tbl_info[2].apl_day, bas_tbl_o.revise_tbl_info[2].apl_hr, bas_tbl_o.revise_tbl_info[2].apl_min, bas_tbl_o.revise_tbl_info[2].rvs_no);
    printf("무효신용카드  테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[3].apl_year, bas_tbl_o.revise_tbl_info[3].apl_mon, bas_tbl_o.revise_tbl_info[3].apl_day, bas_tbl_o.revise_tbl_info[3].apl_hr, bas_tbl_o.revise_tbl_info[3].apl_min, bas_tbl_o.revise_tbl_info[3].rvs_no);
    printf("무효감면카드  테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[4].apl_year, bas_tbl_o.revise_tbl_info[4].apl_mon, bas_tbl_o.revise_tbl_info[4].apl_day, bas_tbl_o.revise_tbl_info[4].apl_hr, bas_tbl_o.revise_tbl_info[4].apl_min, bas_tbl_o.revise_tbl_info[4].rvs_no);
    printf("무효고속카드  테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[5].apl_year, bas_tbl_o.revise_tbl_info[5].apl_mon, bas_tbl_o.revise_tbl_info[5].apl_day, bas_tbl_o.revise_tbl_info[5].apl_hr, bas_tbl_o.revise_tbl_info[5].apl_min, bas_tbl_o.revise_tbl_info[5].rvs_no);
    printf("할인/할증     테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[6].apl_year, bas_tbl_o.revise_tbl_info[6].apl_mon, bas_tbl_o.revise_tbl_info[6].apl_day, bas_tbl_o.revise_tbl_info[6].apl_hr, bas_tbl_o.revise_tbl_info[6].apl_min, bas_tbl_o.revise_tbl_info[6].rvs_no);
    printf("출퇴근할인일자테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[7].apl_year, bas_tbl_o.revise_tbl_info[7].apl_mon, bas_tbl_o.revise_tbl_info[7].apl_day, bas_tbl_o.revise_tbl_info[7].apl_hr, bas_tbl_o.revise_tbl_info[7].apl_min, bas_tbl_o.revise_tbl_info[7].rvs_no);
    printf("전자카드B/L   테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[8].apl_year, bas_tbl_o.revise_tbl_info[8].apl_mon, bas_tbl_o.revise_tbl_info[8].apl_day, bas_tbl_o.revise_tbl_info[8].apl_hr, bas_tbl_o.revise_tbl_info[8].apl_min, bas_tbl_o.revise_tbl_info[8].rvs_no);
    printf("연계요금      테이블 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[9].apl_year, bas_tbl_o.revise_tbl_info[9].apl_mon, bas_tbl_o.revise_tbl_info[9].apl_day, bas_tbl_o.revise_tbl_info[9].apl_hr, bas_tbl_o.revise_tbl_info[9].apl_min, bas_tbl_o.revise_tbl_info[9].rvs_no);
    printf("교통카드 BIN 정보    수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[10].apl_year, bas_tbl_o.revise_tbl_info[10].apl_mon, bas_tbl_o.revise_tbl_info[10].apl_day, bas_tbl_o.revise_tbl_info[10].apl_hr, bas_tbl_o.revise_tbl_info[10].apl_min, bas_tbl_o.revise_tbl_info[10].rvs_no);
    printf("교통카드 B/L         수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[11].apl_year, bas_tbl_o.revise_tbl_info[11].apl_mon, bas_tbl_o.revise_tbl_info[11].apl_day, bas_tbl_o.revise_tbl_info[11].apl_hr, bas_tbl_o.revise_tbl_info[11].apl_min, bas_tbl_o.revise_tbl_info[11].rvs_no);
    printf("시간별 할인          수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[12].apl_year, bas_tbl_o.revise_tbl_info[12].apl_mon, bas_tbl_o.revise_tbl_info[12].apl_day, bas_tbl_o.revise_tbl_info[12].apl_hr, bas_tbl_o.revise_tbl_info[12].apl_min, bas_tbl_o.revise_tbl_info[12].rvs_no);
    printf("Hi-pass 무효 OBU     수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[13].apl_year, bas_tbl_o.revise_tbl_info[13].apl_mon, bas_tbl_o.revise_tbl_info[13].apl_day, bas_tbl_o.revise_tbl_info[13].apl_hr, bas_tbl_o.revise_tbl_info[13].apl_min, bas_tbl_o.revise_tbl_info[13].rvs_no);
    printf("Hi-pass 명절특정일면제 수정 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.revise_tbl_info[14].apl_year, bas_tbl_o.revise_tbl_info[14].apl_mon, bas_tbl_o.revise_tbl_info[14].apl_day, bas_tbl_o.revise_tbl_info[14].apl_hr, bas_tbl_o.revise_tbl_info[14].apl_min, bas_tbl_o.revise_tbl_info[14].rvs_no);

    printf("\n");

    printf("정수          테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[0].apl_year, bas_tbl_o.rvs_tbl_info[0].apl_mon, bas_tbl_o.rvs_tbl_info[0].apl_day, bas_tbl_o.rvs_tbl_info[0].apl_hr, bas_tbl_o.rvs_tbl_info[0].apl_min, bas_tbl_o.rvs_tbl_info[0].rvs_no);
    printf("근무자        테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[1].apl_year, bas_tbl_o.rvs_tbl_info[1].apl_mon, bas_tbl_o.rvs_tbl_info[1].apl_day, bas_tbl_o.rvs_tbl_info[1].apl_hr, bas_tbl_o.rvs_tbl_info[1].apl_min, bas_tbl_o.rvs_tbl_info[1].rvs_no);
    printf("요금          테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[2].apl_year, bas_tbl_o.rvs_tbl_info[2].apl_mon, bas_tbl_o.rvs_tbl_info[2].apl_day, bas_tbl_o.rvs_tbl_info[2].apl_hr, bas_tbl_o.rvs_tbl_info[2].apl_min, bas_tbl_o.rvs_tbl_info[2].rvs_no);
    printf("무효신용카드  테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[3].apl_year, bas_tbl_o.rvs_tbl_info[3].apl_mon, bas_tbl_o.rvs_tbl_info[3].apl_day, bas_tbl_o.rvs_tbl_info[3].apl_hr, bas_tbl_o.rvs_tbl_info[3].apl_min, bas_tbl_o.rvs_tbl_info[3].rvs_no);
    printf("무효감면카드  테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[4].apl_year, bas_tbl_o.rvs_tbl_info[4].apl_mon, bas_tbl_o.rvs_tbl_info[4].apl_day, bas_tbl_o.rvs_tbl_info[4].apl_hr, bas_tbl_o.rvs_tbl_info[4].apl_min, bas_tbl_o.rvs_tbl_info[4].rvs_no);
    printf("무효고속카드  테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[5].apl_year, bas_tbl_o.rvs_tbl_info[5].apl_mon, bas_tbl_o.rvs_tbl_info[5].apl_day, bas_tbl_o.rvs_tbl_info[5].apl_hr, bas_tbl_o.rvs_tbl_info[5].apl_min, bas_tbl_o.rvs_tbl_info[5].rvs_no);
    printf("할인/할증     테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[6].apl_year, bas_tbl_o.rvs_tbl_info[6].apl_mon, bas_tbl_o.rvs_tbl_info[6].apl_day, bas_tbl_o.rvs_tbl_info[6].apl_hr, bas_tbl_o.rvs_tbl_info[6].apl_min, bas_tbl_o.rvs_tbl_info[6].rvs_no);
    printf("출퇴근할인일자테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[7].apl_year, bas_tbl_o.rvs_tbl_info[7].apl_mon, bas_tbl_o.rvs_tbl_info[7].apl_day, bas_tbl_o.rvs_tbl_info[7].apl_hr, bas_tbl_o.rvs_tbl_info[7].apl_min, bas_tbl_o.rvs_tbl_info[7].rvs_no);
    printf("전자카드B/L   테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[8].apl_year, bas_tbl_o.rvs_tbl_info[8].apl_mon, bas_tbl_o.rvs_tbl_info[8].apl_day, bas_tbl_o.rvs_tbl_info[8].apl_hr, bas_tbl_o.rvs_tbl_info[8].apl_min, bas_tbl_o.rvs_tbl_info[8].rvs_no);
    printf("연계요금      테이블 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[9].apl_year, bas_tbl_o.rvs_tbl_info[9].apl_mon, bas_tbl_o.rvs_tbl_info[9].apl_day, bas_tbl_o.rvs_tbl_info[9].apl_hr, bas_tbl_o.rvs_tbl_info[9].apl_min, bas_tbl_o.rvs_tbl_info[9].rvs_no);
    printf("교통카드 BIN 정보    적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[10].apl_year, bas_tbl_o.rvs_tbl_info[10].apl_mon, bas_tbl_o.rvs_tbl_info[10].apl_day, bas_tbl_o.rvs_tbl_info[10].apl_hr, bas_tbl_o.rvs_tbl_info[10].apl_min, bas_tbl_o.rvs_tbl_info[10].rvs_no);
    printf("교통카드 B/L         적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[11].apl_year, bas_tbl_o.rvs_tbl_info[11].apl_mon, bas_tbl_o.rvs_tbl_info[11].apl_day, bas_tbl_o.rvs_tbl_info[11].apl_hr, bas_tbl_o.rvs_tbl_info[11].apl_min, bas_tbl_o.rvs_tbl_info[11].rvs_no);
    printf("시간별 할인          적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[12].apl_year, bas_tbl_o.rvs_tbl_info[12].apl_mon, bas_tbl_o.rvs_tbl_info[12].apl_day, bas_tbl_o.rvs_tbl_info[12].apl_hr, bas_tbl_o.rvs_tbl_info[12].apl_min, bas_tbl_o.rvs_tbl_info[12].rvs_no);
    printf("Hi-pass 무효 OBU     적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[13].apl_year, bas_tbl_o.rvs_tbl_info[13].apl_mon, bas_tbl_o.rvs_tbl_info[13].apl_day, bas_tbl_o.rvs_tbl_info[13].apl_hr, bas_tbl_o.rvs_tbl_info[13].apl_min, bas_tbl_o.rvs_tbl_info[13].rvs_no);
    printf("Hi-pass 명절특정일면제 적용 년월일시분\t: %04d/%02d/%02d %02d:%02d  개정번호 [ %02d] \n", bas_tbl_o.rvs_tbl_info[14].apl_year, bas_tbl_o.rvs_tbl_info[14].apl_mon, bas_tbl_o.rvs_tbl_info[14].apl_day, bas_tbl_o.rvs_tbl_info[14].apl_hr, bas_tbl_o.rvs_tbl_info[14].apl_min, bas_tbl_o.rvs_tbl_info[14].rvs_no);

    printf("\n");

    printf("경차분류        적용 년월일\t: %04d/%02d/%02d \n", bas_tbl_o.jedo_date[0].jedo_ref_year, bas_tbl_o.jedo_date[0].jedo_ref_mon, bas_tbl_o.jedo_date[0].jedo_ref_day);
    printf("할인할증        적용 년월일\t: %04d/%02d/%02d \n", bas_tbl_o.jedo_date[1].jedo_ref_year, bas_tbl_o.jedo_date[1].jedo_ref_mon, bas_tbl_o.jedo_date[1].jedo_ref_day);
    printf("홀로그램        적용 년월일\t: %04d/%02d/%02d \n", bas_tbl_o.jedo_date[2].jedo_ref_year, bas_tbl_o.jedo_date[2].jedo_ref_mon, bas_tbl_o.jedo_date[2].jedo_ref_day);
    printf("연계면제        적용 년월일\t: %04d/%02d/%02d \n", bas_tbl_o.jedo_date[3].jedo_ref_year, bas_tbl_o.jedo_date[3].jedo_ref_mon, bas_tbl_o.jedo_date[3].jedo_ref_day);
    printf("출퇴근          적용 년월일\t: %04d/%02d/%02d \n", bas_tbl_o.jedo_date[4].jedo_ref_year, bas_tbl_o.jedo_date[4].jedo_ref_mon, bas_tbl_o.jedo_date[4].jedo_ref_day);
    printf("연계할인        적용 년월일\t: %04d/%02d/%02d \n", bas_tbl_o.jedo_date[5].jedo_ref_year, bas_tbl_o.jedo_date[5].jedo_ref_mon, bas_tbl_o.jedo_date[5].jedo_ref_day);
    printf("할인단말기 할인 적용 년월일\t: %04d/%02d/%02d \n", bas_tbl_o.jedo_date[6].jedo_ref_year, bas_tbl_o.jedo_date[6].jedo_ref_mon, bas_tbl_o.jedo_date[6].jedo_ref_day);

    printf("할인시간대(개시 시분 )\t: %02d:%02d  (종료 시분 )\t: %02d:%02d\n", bas_tbl_o.dc_strt_hr[1], bas_tbl_o.dc_strt_min[1], bas_tbl_o.dc_end_hr[1], bas_tbl_o.dc_end_min[1]);

    printf("\n");

    printf("차종별 할인율 \n");
    for (ii = 0; ii < 6 ; ii++)
    {
	for(jj = 0; jj < 4; jj++)
	{
		if ( jj == 3 )
	    		printf("%02d \n", bas_tbl_o.car_knd_dcrte[ii][jj]);
		else
	    		printf("%02d \t", bas_tbl_o.car_knd_dcrte[ii][jj]);
	}
    }
    printf("할증시간대(개시 시분 )\t: %02d:%02d  (종료 시분 )\t: %02d:%02d\n", bas_tbl_o.extr_strt_hr[1], bas_tbl_o.extr_strt_min[1], bas_tbl_o.extr_end_hr[1], bas_tbl_o.dc_end_min[1]);

    printf("\n");

    printf("차종별 할증율 \n");
    for (ii = 0; ii < 6 ; ii++)
    {
	for(jj = 0; jj < 4; jj++)
	{
		if ( jj == 3 )
	    		printf("%02d \n", bas_tbl_o.car_knd_extr[ii][jj]);
		else
	    		printf("%02d \t", bas_tbl_o.car_knd_extr[ii][jj]);
	}
    }

    printf("\n");

    printf("휴일 차종별 할증율 \n");
    for (ii = 0; ii < 6 ; ii++)
    {
	for(jj = 0; jj < 4; jj++)
	{
		if ( jj == 3 )
	    		printf("%02d \n", bas_tbl_o.car_knd_extr_holiday[ii][jj]);
		else
	    		printf("%02d \t", bas_tbl_o.car_knd_extr_holiday[ii][jj]);
	}
    }

    printf("\n");

    printf("할인/할증 시간 비율 \n");
    for (ii = 0; ii < 3 ; ii++)
    {
    	printf(" 할인/할증 시간, 비율\t: (개시 시분)\t: %02d:%02d  (종료 시분 )\t: %02d:%02d\n", bas_tbl_o.dc_extr_info[ii].strt_hr, bas_tbl_o.dc_extr_info[ii].strt_min, bas_tbl_o.dc_extr_info[ii].end_hr, bas_tbl_o.dc_extr_info[ii].end_min );
	for(jj = 0; jj < 8; jj++)
	{
		for( kk = 0; kk < 4; kk++)
		if ( kk == 3 )
	    		printf("%02d \n", bas_tbl_o.dc_extr_info[ii].knd_dc_extr[jj][kk]);
		else
	    		printf("%02d \t", bas_tbl_o.dc_extr_info[ii].knd_dc_extr[jj][kk]);
	}
    }
    printf(" 차로번호   차로형태   입출구분   차로구분   상대차로번호   차판타임1   차판타임2          IP주소             PORT번호   IC 구분\n" );
/*    for(ii = 0; ii < bas_tbl_o.ent_lane_cnt+bas_tbl_o.wout_lane_cnt+bas_tbl_o.vrab_lane_cnt/2; ii++ ) */
    for(ii = 0; ii < MAX_LANE; ii++ )
    {
        if(bas_tbl_o.asc_des_div[ii].phgc_lane_no == 0) continue;
    	printf("    %02d           %01d         %01d          %d           %02d           %02d           %02d          %.14s          %.5s     %d\n", bas_tbl_o.asc_des_div[ii].phgc_lane_no, bas_tbl_o.asc_des_div[ii].lane_typ, bas_tbl_o.asc_des_div[ii].io_div/100, bas_tbl_o.asc_des_div[ii].lane_div, bas_tbl_o.asc_des_div[ii].match_lane_no, bas_tbl_o.asc_des_div[ii].timer1, bas_tbl_o.asc_des_div[ii].timer2, bas_tbl_o.asc_des_div[ii].ip_addr, bas_tbl_o.asc_des_div[ii].port, bas_tbl_o.asc_des_div[ii].ic_div);
    }
    printf(" 외주 영업소 여부 : [ %d ] \t 경차할인카드적용구분 : [ %d ] \n", bas_tbl_o.out_plz_yn, bas_tbl_o.gcar_dccrd_apl_div);
    printf(" ===========    연계면제정보  ===========\n");
}
	
    lb_close(isfd);
}
